Page MenuHomePhabricator

testfilter parameter for ViewExamine shouldn't use GET
Closed, ResolvedPublic

Description

On Special:AbuseFilter/test, if you click "examine" next to an edit, it'll send you to Special:AbuseFilter/examine for the given edit, using as testing pattern whatever specified. However, since the pattern is sent via GET (testfilter parameter), if it is too long the page will fail (see for instance this link). If we want to send the current pattern we should probably POST it.

Event Timeline

Daimona created this task.Sep 12 2018, 2:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2018, 2:45 PM

Also, non-ASCII characters may be a problem. I still have to properly think about this, but since we're using plain links I don't see any clean solution.

Daimona moved this task from Backlog to Next on the User-Daimona board.

Change 461955 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Don't send long patterns with GET

https://gerrit.wikimedia.org/r/461955

Daimona claimed this task.Sep 21 2018, 1:21 PM
Daimona moved this task from Next to Under review on the User-Daimona board.Sep 21 2018, 1:24 PM

Change 461955 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Don't send long patterns with GET

https://gerrit.wikimedia.org/r/461955

Daimona closed this task as Resolved.Jan 20 2019, 3:36 PM
Daimona removed a project: Patch-For-Review.
Daimona moved this task from Under review to Done on the User-Daimona board.